Subject: Re: Generic Netlink HOW-TO based on Jamal's original doc

From: Stephen Hemminger <[email-masked]>
Date: Fri, 10 Nov 2006 07:49:33 -0800

Paul Moore wrote:
> A couple of months ago I promised Jamal and Thomas I would post some comments to
> Jamal's original genetlink how-to.  However, as I started to work on the
> document the diff from the original started to get a little ridiculous so
> instead of posting a patch against Jamal's original how-to I'm just posting the
> revised document in it's entirety.
>
> In the document below I tried to summarize all of the things I learned while
> developing NetLabel.  Some of it came from Jamal's document, some the kernel
> code, and some from discussions with Thomas.  Hopefully this document will make
> it much easier for others to use genetlink in the future.
>
> If this text below is acceptable to everyone, should this be added to the
> Documentation directory?
>   
Mind if we put a wikified version on http://linux-net.osdl.org?